0
$\begingroup$

I'm currently developing a 4 Wheel-ackerman robot that runs navigates through a cave system tunnel with a pre-loaded 2D-Map. This is a government research btw.

I need to edit a behaviour tree that's why I need the foxy version. I'm currently developing the navigation system with the ros2 humble version.

My question is, is the foxy version of nav2 still recommendeded and stable? Or is it enough to run my project/research. Thanks!

$\endgroup$

1 Answer 1

0
$\begingroup$

Foxy is EOL (end of life). Reference: https://docs.ros.org/en/rolling/Releases/Release-Foxy-Fitzroy.html

This means that not only does it not receive the latest features in updates, but no one is doing security patching of it. I would not recommend it.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.